LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   KDE 4.10.1 package set (http://www.linuxquestions.org/questions/slackware-14/kde-4-10-1-package-set-4175452846/)

Woodsman 03-05-2013 05:00 PM

KDE 4.10.1 package set
 
Eric, are planning a KDE 4.10.1 package set for Slackware 14.0?

Yay or nay is all I need to know. Thanks. :)

gargamel 03-05-2013 05:15 PM

It's already there, see Alien BOB's Blog.

Thanks, Eric!!!

gargamel

Alien Bob 03-05-2013 05:38 PM

Those packages are for Slackware -current, not 14.0. If Slackware-current itself gets updated to KDE 4.10.1 then I will certainly recompile my own 4.10.1 packages for Slackware 14.0.
But you can always compile them yourself if you don't want to wait.

Eric

Woodsman 03-05-2013 05:44 PM

Bummer. Looks like 4.10.1 for Current only. I wanted to install 4.10 but I saw that 4.10.1 was released. I figured just get the latest. I presumed 4.10.1 eventually would be updated in Current but I'm using 14.0 and I was hoping for a 14.0 package set. Oh well. :)

I understand the time and resources constraints.

* Are there any known problems or issues with using the build scripts in Current to build 4.10.1 for Slackware 14.0?

* Other than the KDE sources, are the build tree and patches used in Current for 4.10.0 the same for 4.10.1? No changes?

* I have a 2.4 GHz dual core with 8 GB RAM and SATA II drives --- about how long can I expect to build the full 4.10.1 package set?

Thanks. :)

Edit: Aargh. You posted before I pressed the submit button. I don't mind compiling if the above questions could be answered and I knew how long the wait might be. :)

Alien Bob 03-05-2013 05:54 PM

Quote:

Originally Posted by Woodsman (Post 4905483)
Bummer. Looks like 4.10.1 for Current only. I wanted to install 4.10 but I saw that 4.10.1 was released. I figured just get the latest. I presumed 4.10.1 eventually would be updated in Current but I'm using 14.0 and I was hoping for a 14.0 package set. Oh well. :)

I understand the time and resources constraints.

* Are there any known problems or issues with using the build scripts in Current to build 4.10.1 for Slackware 14.0?

* Other than the KDE sources, are the build tree and patches used in Current for 4.10.0 the same for 4.10.1? No changes?

Just download everything in http://taper.alienbase.nl/mirrors/al...ce/4.10.1/kde/ and then run KDE.SlackBuild
If you were already using my KDE 4.10.0 on Slackware 14.0 then nothing else is needed to compile the newer KDE. Except one thing: you need a newer "cmake" than Slackware 14.0 has available. Grab the cmake sources from http://slackware.osuosl.org/slackwar...ource/d/cmake/ and compile/upgrade this newer version of cmake on your Slackware 14.0 computer. Then compile KDE.

The "KDE.SlackBuild" script will upgrade every KDE package right after it has been built, so once the compilation ends your system will have been fully upgraded to the new KDE.

Quote:

* I have a 2.4 GHz dual core with 8 GB RAM and SATA II drives --- about how long can I expect to build the full 4.10.1 package set?
Many hours. Just be patient and/or go to sleep.

Eric

Woodsman 03-05-2013 06:21 PM

Quote:

Just download everything in http://taper.alienbase.nl/mirrors/al...ce/4.10.1/kde/ and then run KDE.SlackBuild
Ok, thanks.

Quote:

If you were already using my KDE 4.10.0 on Slackware 14.0 then nothing else is needed to compile the newer KDE. Except one thing: you need a newer "cmake" than Slackware 14.0 has available.
Ok. I'll grab the sources from Current and blacklist slackpkg. :) I haven't been running 4.10. I have the stock 4.8.5 that came with 14, but I haven't been toying with that. :)

Quote:

The "KDE.SlackBuild" script will upgrade every KDE package right after it has been built, so once the compilation ends your system will have been fully upgraded to the new KDE.
Ok. I saw the readme file about removing the obsolete KDE packages.

dimm0k 03-06-2013 12:56 PM

@Woodsman: let me know how it goes with your attempt. I made mine yesterday and got stopped where it was building the packages for kdebase with the following message

Code:

In file included from /tmp/kde-build/kdebase/kde-workspace-4.10.1/build/kwin/libkwineffects/../../../kwin/libkwineffects/kwinglcolorcorrection.h:24:0,
from /tmp/kde-build/kdebase/kde-workspace-4.10.1/build/kwin/libkwineffects/../../../kwin/libkwineffects/kwinglcolorcorrection_p.h:24,
from /tmp/kde-build/kdebase/kde-workspace-4.10.1/build/kwin/libkwineffects/moc_kwinglcolorcorrection_p.cpp:10,
from /tmp/kde-build/kdebase/kde-workspace-4.10.1/build/kwin/libkwineffects/kwinglutils_automoc.cpp:4:
/tmp/kde-build/kdebase/kde-workspace-4.10.1/build/kwin/libkwineffects/../../../kwin/libkwineffects/kwinglutils_funcs.h:379:60: error: ‘GLeglImageOES’ has
not been declared
make[2]: *** [kwin/libkwineffects/CMakeFiles/kwinglutils.dir/kwinglutils_automoc.o] Error 1
make[1]: *** [kwin/libkwineffects/CMakeFiles/kwinglutils.dir/all] Error 2
make: *** [all] Error 2
kdebase failed to build.


Woodsman 03-06-2013 01:45 PM

I did not get far last night. I built kdelibs and then the script halted because I had not rebuilt all the deps. Obvious but that minor point did not pop up in the thread. At that point I was too tired and quit for the day. :) The updated deps are here:

http://taper.alienbase.nl/mirrors/al...e/4.10.0/deps/

Alien Bob 03-06-2013 02:02 PM

If you're patient enough, you can wait for KDE 4.10.1 packages which I am compiling on Slackware 14.0.

Eric

Woodsman 03-06-2013 07:10 PM

Quote:

I made mine yesterday and got stopped where it was building the packages for kdebase with the following message
I am still building and looks like the build will proceed for many hours to come, but I did not experience the same build failure. My wild guess is you might be building in a non-clean environment, specifically one with proprietary graphics drivers. I'm using a build environment with no non stock software and without X running.

Quote:

If you're patient enough, you can wait for KDE 4.10.1 packages which I am compiling on Slackware 14.0.
Woof! :) Building these packages is taking a really long time.

willysr 03-06-2013 10:01 PM

Well, Slackware-Current now adopts 4.10.1 as well :)

zbreaker 03-07-2013 07:44 AM

Quote:

Originally Posted by willysr (Post 4906392)
Well, Slackware-Current now adopts 4.10.1 as well :)

Wow...just spotted that myself...very cool.
Moving right along we are in -current land :)

PrinceCruise 03-07-2013 09:21 AM

I for one am waiting for 4.10.1 desperately as I never managed to upgrade to 4.10 on my Slackware 14 box. Every time I was greeted with a blank screen right after KDE splash. Tried twice with fail.
Funnily the 14.0 VM gets upgraded without a glitch. Appreciate the work done by AlienBob.

Praise Bob.

Regards.

Woodsman 03-07-2013 07:18 PM

I finally finished building the 4.10.1 package set. I did not do any math but on my system I think I needed about 10 to 11 hours to compile everything. Whew!

For those patiently waiting for Eric to upload his 4.10.1 packages for Slackware 14.0, I will tease a bit by saying that 4.10.x is the KDE everybody has been waiting for the past five years. I never thought the wait would be this long but after only a half day of using 4.10.1 I'm pleased and happy. As I have not been using KDE4 I have a lot of configuring to do but thus far all is going well.

willysr 03-07-2013 09:33 PM

Well, Eric has updated his KDE packages for Slackware 14.0 since yesterday :)


All times are GMT -5. The time now is 05:16 PM.